> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Form Structure



## OpenAPI

````yaml get /forms/{form_id}/structure
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /forms/{form_id}/structure:
    get:
      tags:
        - provider
        - forms
      summary: Get Form Structure
      operationId: get_form_structure_forms__form_id__structure_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: form_id
          in: path
          required: true
          schema:
            type: string
            title: Form Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormStructure'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FormStructure:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        blocks:
          items:
            $ref: '#/components/schemas/BlockStructure'
          type: array
          title: Blocks
      type: object
      required:
        - id
        - name
        - blocks
      title: FormStructure
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BlockStructure:
      properties:
        name:
          type: string
          title: Name
        questions:
          items:
            $ref: '#/components/schemas/QuestionSummary'
          type: array
          title: Questions
        isArchived:
          type: boolean
          title: Isarchived
        position:
          type: integer
          title: Position
      type: object
      required:
        - name
        - questions
        - isArchived
        - position
      title: BlockStructure
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    QuestionSummary:
      properties:
        id:
          type: string
          title: Id
        questionType:
          $ref: '#/components/schemas/QuestionType'
        name:
          type: string
          title: Name
        isArchived:
          type: boolean
          title: Isarchived
      type: object
      required:
        - id
        - questionType
        - name
        - isArchived
      title: QuestionSummary
    QuestionType:
      type: string
      enum:
        - ADDRESS
        - DATE
        - TEXT
        - NUMBER
        - TEXT_AREA
        - SINGLE_SELECT
        - RADIAL_SINGLE_SELECT
        - MULTI_SELECT
        - RADIAL_MULTI_SELECT
        - TOGGLE
        - SIGNATURE
        - FILE_UPLOAD
        - PHONE_NUMBER
        - EMAIL
        - PAYMENT_METHOD
        - TAG
        - DISCLAIMER
        - STATEMENT
        - DOCUMENT
        - FEET_INCHES_HEIGHT
        - POUNDS_WEIGHT
        - CALCULATED_SCORE
      title: QuestionType

````